Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

Is there are known fix for these Python-related install errors on MacOS10.8.5?

Traceback (most recent call last): File "/opt/local/Library/Frameworks/Python.framework/Versions/3.2/lib/python3.2/posixpath.py", line 80, in join if b.startswith(sep): TypeError: startswith first arg must be str or a tuple of str, not bytes

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/Applications/SageMath-7.2.app/Contents/Resources/sage/relocate-once.py", line 141, in <module> p('src/build/cython_debug/cython_debug_info_sage.symbolic.getitem').substitute().save() File "/Applications/SageMath-7.2.app/Contents/Resources/sage/relocate-once.py", line 129, in __call__ filename = os.path.join(self.root_path, filename) File "/opt/local/Library/Frameworks/Python.framework/Versions/3.2/lib/python3.2/posixpath.py", line 91, in join raise TypeError("Can't mix strings and bytes in path components.") TypeError: Can't mix strings and bytes in path components. Traceback (most recent call last): File "/Applications/SageMath-7.2.app/Contents/Resources/sage/src/bin/sage-notebook", line 7, in <module> import argparse File "/Applications/SageMath-7.2.app/Contents/Resources/sage/local/lib/python/argparse.py", line 85, in <module> import collections as _collections File "/Applications/SageMath-7.2.app/Contents/Resources/sage/local/lib/python/collections.py", line 9, in <module> from operator import itemgetter as _itemgetter, eq as _eq ImportError: dlopen(/Applications/SageMath-7.2.app/Contents/Resources/sage/local/lib/python2.7/lib-dynload/operator.so, 2): Symbol not found: __PyUnicodeUCS4_AsDefaultEncodedString Referenced from: /Applications/SageMath-7.2.app/Contents/Resources/sage/local/lib/python2.7/lib-dynload/operator.so Expected in: flat namespace in /Applications/SageMath-7.2.app/Contents/Resources/sage/local/lib/python2.7/lib-dynload/operator.so

click to hide/show revision 2
None

updated 2016-11-29 08:15:52 -0600

kcrisman gravatar image

Is there are known fix for these Python-related install errors on MacOS10.8.5?

Traceback (most recent call last): File "/opt/local/Library/Frameworks/Python.framework/Versions/3.2/lib/python3.2/posixpath.py", line 80, in join if b.startswith(sep): TypeError: startswith first arg must be str or a tuple of str, not bytes

During handling of the above exception, another exception occurred:

occurred: Traceback (most recent call last): File "/Applications/SageMath-7.2.app/Contents/Resources/sage/relocate-once.py", line 141, in <module> p('src/build/cython_debug/cython_debug_info_sage.symbolic.getitem').substitute().save() File "/Applications/SageMath-7.2.app/Contents/Resources/sage/relocate-once.py", line 129, in __call__ filename = os.path.join(self.root_path, filename) File "/opt/local/Library/Frameworks/Python.framework/Versions/3.2/lib/python3.2/posixpath.py", line 91, in join raise TypeError("Can't mix strings and bytes in path components.") TypeError: Can't mix strings and bytes in path components. Traceback (most recent call last): File "/Applications/SageMath-7.2.app/Contents/Resources/sage/src/bin/sage-notebook", line 7, in <module> import argparse File "/Applications/SageMath-7.2.app/Contents/Resources/sage/local/lib/python/argparse.py", line 85, in <module> import collections as _collections File "/Applications/SageMath-7.2.app/Contents/Resources/sage/local/lib/python/collections.py", line 9, in <module> from operator import itemgetter as _itemgetter, eq as _eq ImportError: dlopen(/Applications/SageMath-7.2.app/Contents/Resources/sage/local/lib/python2.7/lib-dynload/operator.so, 2): Symbol not found: __PyUnicodeUCS4_AsDefaultEncodedString Referenced from: /Applications/SageMath-7.2.app/Contents/Resources/sage/local/lib/python2.7/lib-dynload/operator.so Expected in: flat namespace in /Applications/SageMath-7.2.app/Contents/Resources/sage/local/lib/python2.7/lib-dynload/operator.so

/Applications/SageMath-7.2.app/Contents/Resources/sage/local/lib/python2.7/lib-dynload/operator.so
click to hide/show revision 3
None

updated 2016-11-29 08:16:07 -0600

kcrisman gravatar image

Is there are known fix for these Python-related install errors on MacOS10.8.5?

Traceback (most recent call last): File "/opt/local/Library/Frameworks/Python.framework/Versions/3.2/lib/python3.2/posixpath.py", line 80, in join if b.startswith(sep): TypeError: startswith first arg must be str or a tuple of str, not bytes

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Applications/SageMath-7.2.app/Contents/Resources/sage/relocate-once.py", line 141, in <module>
    p('src/build/cython_debug/cython_debug_info_sage.symbolic.getitem').substitute().save()
  File "/Applications/SageMath-7.2.app/Contents/Resources/sage/relocate-once.py", line 129, in __call__
    filename = os.path.join(self.root_path, filename)
  File "/opt/local/Library/Frameworks/Python.framework/Versions/3.2/lib/python3.2/posixpath.py", line 91, in join
    raise TypeError("Can't mix strings and bytes in path components.")
TypeError: Can't mix strings and bytes in path components.
Traceback (most recent call last):
  File "/Applications/SageMath-7.2.app/Contents/Resources/sage/src/bin/sage-notebook", line 7, in <module>
    import argparse
  File "/Applications/SageMath-7.2.app/Contents/Resources/sage/local/lib/python/argparse.py", line 85, in <module>
    import collections as _collections
  File "/Applications/SageMath-7.2.app/Contents/Resources/sage/local/lib/python/collections.py", line 9, in <module>
    from operator import itemgetter as _itemgetter, eq as _eq
ImportError: dlopen(/Applications/SageMath-7.2.app/Contents/Resources/sage/local/lib/python2.7/lib-dynload/operator.so, 2): Symbol not found: __PyUnicodeUCS4_AsDefaultEncodedString
  Referenced from: /Applications/SageMath-7.2.app/Contents/Resources/sage/local/lib/python2.7/lib-dynload/operator.so
  Expected in: flat namespace
 in /Applications/SageMath-7.2.app/Contents/Resources/sage/local/lib/python2.7/lib-dynload/operator.so
click to hide/show revision 4
retagged

Is there are known fix for these Python-related install errors on MacOS10.8.5?

Traceback (most recent call last): File "/opt/local/Library/Frameworks/Python.framework/Versions/3.2/lib/python3.2/posixpath.py", line 80, in join if b.startswith(sep): TypeError: startswith first arg must be str or a tuple of str, not bytes

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Applications/SageMath-7.2.app/Contents/Resources/sage/relocate-once.py", line 141, in <module>
    p('src/build/cython_debug/cython_debug_info_sage.symbolic.getitem').substitute().save()
  File "/Applications/SageMath-7.2.app/Contents/Resources/sage/relocate-once.py", line 129, in __call__
    filename = os.path.join(self.root_path, filename)
  File "/opt/local/Library/Frameworks/Python.framework/Versions/3.2/lib/python3.2/posixpath.py", line 91, in join
    raise TypeError("Can't mix strings and bytes in path components.")
TypeError: Can't mix strings and bytes in path components.
Traceback (most recent call last):
  File "/Applications/SageMath-7.2.app/Contents/Resources/sage/src/bin/sage-notebook", line 7, in <module>
    import argparse
  File "/Applications/SageMath-7.2.app/Contents/Resources/sage/local/lib/python/argparse.py", line 85, in <module>
    import collections as _collections
  File "/Applications/SageMath-7.2.app/Contents/Resources/sage/local/lib/python/collections.py", line 9, in <module>
    from operator import itemgetter as _itemgetter, eq as _eq
ImportError: dlopen(/Applications/SageMath-7.2.app/Contents/Resources/sage/local/lib/python2.7/lib-dynload/operator.so, 2): Symbol not found: __PyUnicodeUCS4_AsDefaultEncodedString
  Referenced from: /Applications/SageMath-7.2.app/Contents/Resources/sage/local/lib/python2.7/lib-dynload/operator.so
  Expected in: flat namespace
 in /Applications/SageMath-7.2.app/Contents/Resources/sage/local/lib/python2.7/lib-dynload/operator.so
click to hide/show revision 5
retagged

Is there are known fix for these Python-related install errors on MacOS10.8.5?

Traceback (most recent call last): File "/opt/local/Library/Frameworks/Python.framework/Versions/3.2/lib/python3.2/posixpath.py", line 80, in join if b.startswith(sep): TypeError: startswith first arg must be str or a tuple of str, not bytes

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Applications/SageMath-7.2.app/Contents/Resources/sage/relocate-once.py", line 141, in <module>
    p('src/build/cython_debug/cython_debug_info_sage.symbolic.getitem').substitute().save()
  File "/Applications/SageMath-7.2.app/Contents/Resources/sage/relocate-once.py", line 129, in __call__
    filename = os.path.join(self.root_path, filename)
  File "/opt/local/Library/Frameworks/Python.framework/Versions/3.2/lib/python3.2/posixpath.py", line 91, in join
    raise TypeError("Can't mix strings and bytes in path components.")
TypeError: Can't mix strings and bytes in path components.
Traceback (most recent call last):
  File "/Applications/SageMath-7.2.app/Contents/Resources/sage/src/bin/sage-notebook", line 7, in <module>
    import argparse
  File "/Applications/SageMath-7.2.app/Contents/Resources/sage/local/lib/python/argparse.py", line 85, in <module>
    import collections as _collections
  File "/Applications/SageMath-7.2.app/Contents/Resources/sage/local/lib/python/collections.py", line 9, in <module>
    from operator import itemgetter as _itemgetter, eq as _eq
ImportError: dlopen(/Applications/SageMath-7.2.app/Contents/Resources/sage/local/lib/python2.7/lib-dynload/operator.so, 2): Symbol not found: __PyUnicodeUCS4_AsDefaultEncodedString
  Referenced from: /Applications/SageMath-7.2.app/Contents/Resources/sage/local/lib/python2.7/lib-dynload/operator.so
  Expected in: flat namespace
 in /Applications/SageMath-7.2.app/Contents/Resources/sage/local/lib/python2.7/lib-dynload/operator.so
click to hide/show revision 6
retagged

Is there are known fix for these Python-related install errors on MacOS10.8.5?

Traceback (most recent call last): File "/opt/local/Library/Frameworks/Python.framework/Versions/3.2/lib/python3.2/posixpath.py", line 80, in join if b.startswith(sep): TypeError: startswith first arg must be str or a tuple of str, not bytes

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Applications/SageMath-7.2.app/Contents/Resources/sage/relocate-once.py", line 141, in <module>
    p('src/build/cython_debug/cython_debug_info_sage.symbolic.getitem').substitute().save()
  File "/Applications/SageMath-7.2.app/Contents/Resources/sage/relocate-once.py", line 129, in __call__
    filename = os.path.join(self.root_path, filename)
  File "/opt/local/Library/Frameworks/Python.framework/Versions/3.2/lib/python3.2/posixpath.py", line 91, in join
    raise TypeError("Can't mix strings and bytes in path components.")
TypeError: Can't mix strings and bytes in path components.
Traceback (most recent call last):
  File "/Applications/SageMath-7.2.app/Contents/Resources/sage/src/bin/sage-notebook", line 7, in <module>
    import argparse
  File "/Applications/SageMath-7.2.app/Contents/Resources/sage/local/lib/python/argparse.py", line 85, in <module>
    import collections as _collections
  File "/Applications/SageMath-7.2.app/Contents/Resources/sage/local/lib/python/collections.py", line 9, in <module>
    from operator import itemgetter as _itemgetter, eq as _eq
ImportError: dlopen(/Applications/SageMath-7.2.app/Contents/Resources/sage/local/lib/python2.7/lib-dynload/operator.so, 2): Symbol not found: __PyUnicodeUCS4_AsDefaultEncodedString
  Referenced from: /Applications/SageMath-7.2.app/Contents/Resources/sage/local/lib/python2.7/lib-dynload/operator.so
  Expected in: flat namespace
 in /Applications/SageMath-7.2.app/Contents/Resources/sage/local/lib/python2.7/lib-dynload/operator.so